Bug 15971 - Serial claim letters should allow the use of all biblio and biblioitems fields (like issn)
Summary: Serial claim letters should allow the use of all biblio and biblioitems field...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 4398
  Show dependency treegraph
 
Reported: 2016-03-03 16:05 UTC by Katrin Fischer
Modified: 2018-10-24 09:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15971: Add biblioitems to available fields for serial claim notices and fix notices editor display (8.68 KB, patch)
2018-08-10 03:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15971: Add biblioitems to available fields for serial claim notices and fix notices editor display (8.72 KB, patch)
2018-09-27 16:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15971: Add biblioitems to available fields for serial claim notices and fix notices editor display (8.79 KB, patch)
2018-09-28 02:49 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-03-03 16:05:26 UTC
When creating a serial claim letter only title, author and serial are offered as fields in the notice editor. It should be possible to print all fields from the biblio and biblioitems tables including the ISSN in the notices.
Comment 1 Katrin Fischer 2018-07-06 15:21:36 UTC
This is sadly still valid.
Comment 2 Katrin Fischer 2018-08-10 03:30:45 UTC
Created attachment 77641 [details] [review]
Bug 15971: Add biblioitems to available fields for serial claim notices and fix notices editor display

This fixes 2 related problems:

1) The editor only offered 3 entries from biblio for adding to the notice:
title, author, serial
It was not clear that actually all fields from biblio can be used.

2) It was not possible to use fields from biblioitems in the notices
which left out important fields like the ISSN.

The patch adds the biblioitems table and changes the editor to show
all entries from biblio and biblioitems table are shown on the left.

To test:
- Create a subscription
- Generate next issue a few times to get late issues
- Create a new notice in the "Claim serial issue" module
  - Use fields from different/all tables
- Make sure an email address is set for
  - the vendor (also check for 'receives claims for late issues')
  - your staff user
- Go to serials > claims
- Claim multiple issues
- Verify the email is generated and contains the correct information

Example notice:

Title: <<biblio.title>>
Author: <<biblio.author>>
ISSN: <<biblioitems.issn>>
ISBN: <<biblioitems.isbn>>
Issue: <<serial.serialseq>>
--
Comment 3 Owen Leonard 2018-09-27 16:02:09 UTC
Created attachment 79539 [details] [review]
Bug 15971: Add biblioitems to available fields for serial claim notices and fix notices editor display

This fixes 2 related problems:

1) The editor only offered 3 entries from biblio for adding to the notice:
title, author, serial
It was not clear that actually all fields from biblio can be used.

2) It was not possible to use fields from biblioitems in the notices
which left out important fields like the ISSN.

The patch adds the biblioitems table and changes the editor to show
all entries from biblio and biblioitems table are shown on the left.

To test:
- Create a subscription
- Generate next issue a few times to get late issues
- Create a new notice in the "Claim serial issue" module
  - Use fields from different/all tables
- Make sure an email address is set for
  - the vendor (also check for 'receives claims for late issues')
  - your staff user
- Go to serials > claims
- Claim multiple issues
- Verify the email is generated and contains the correct information

Example notice:

Title: <<biblio.title>>
Author: <<biblio.author>>
ISSN: <<biblioitems.issn>>
ISBN: <<biblioitems.isbn>>
Issue: <<serial.serialseq>>
--

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Chris Cormack 2018-09-28 02:49:23 UTC
Created attachment 79555 [details] [review]
Bug 15971: Add biblioitems to available fields for serial claim notices and fix notices editor display

This fixes 2 related problems:

1) The editor only offered 3 entries from biblio for adding to the notice:
title, author, serial
It was not clear that actually all fields from biblio can be used.

2) It was not possible to use fields from biblioitems in the notices
which left out important fields like the ISSN.

The patch adds the biblioitems table and changes the editor to show
all entries from biblio and biblioitems table are shown on the left.

To test:
- Create a subscription
- Generate next issue a few times to get late issues
- Create a new notice in the "Claim serial issue" module
  - Use fields from different/all tables
- Make sure an email address is set for
  - the vendor (also check for 'receives claims for late issues')
  - your staff user
- Go to serials > claims
- Claim multiple issues
- Verify the email is generated and contains the correct information

Example notice:

Title: <<biblio.title>>
Author: <<biblio.author>>
ISSN: <<biblioitems.issn>>
ISBN: <<biblioitems.isbn>>
Issue: <<serial.serialseq>>
--

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Nick Clemens 2018-10-01 16:40:02 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Katrin Fischer 2018-10-01 20:36:12 UTC
Yay! Thx all!
Comment 7 Martin Renvoize 2018-10-08 07:32:12 UTC
Pushed to 18.05.x for 18.05.05
Comment 8 Fridolin SOMERS 2018-10-11 13:12:56 UTC
Pushed to 17.11.x for 17.11.11

Looks small enough to be in oldstable.